Bug 38394 - EDITING: Can't insert a French opening quote after an apostrophe using AutoCorrection
Summary: EDITING: Can't insert a French opening quote after an apostrophe using AutoCo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 57815 (view as bug list)
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2011-06-17 01:52 UTC by Milan Bouchet-Valat
Modified: 2018-12-07 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2011-06-17 01:52:37 UTC
In French, right quotes " are transformed via AutoCorrection rules to « and » depending on whether the quote appears at the beginning or at the end of a word. This works very well. But it should also be transformed into an opening quote when inserted after an apostrophe.

The reason is, the French defined article (equivalent of "the"), which is "le" or "la", becomes "l'" when the word starts with a vowel. Thus, to say:
> the "alphabet"
we need to write:
> l'« alphabet »

I don't think there's any technical reason for this not to be possible, since inserting a quote after a parenthesis but at the begginning of a word inserts an opening quote (correct). Apostrophes should simply not be considered part of a normal word.

The character for apostrophe can be:
- ' U+0027 APOSTROPHE (default ASCII single quote)
- ’ U+2019 RIGHT SINGLE QUOTATION MARK (when auto replacement is enabled, preferred character anyways)
Comment 1 Björn Michaelsen 2011-12-23 12:26:06 UTC Comment hidden (obsolete)
Comment 2 Milan Bouchet-Valat 2012-06-04 13:39:23 UTC
Confirmed with LibreOffice 3.5.4.2.

Maybe I should be more explicit about the present state of affairs: my bug description says what should happen, but does not describe well what happens now. The problem ATM is that you get:
> l' »alphabet »
instead of
> l'« alphabet »

i.e. the opening quote is not detected correctly, and is added as a closing quote.
Comment 3 Rainer Bielefeld Retired 2013-02-18 06:31:08 UTC
Related to "Bug 57815 - Wrong closing » instead of « opening quotation mark behind apostrophe in French language text"
Comment 4 Julien Nabet 2014-05-03 20:39:21 UTC
*** Bug 57815 has been marked as a duplicate of this bug. ***
Comment 5 Julien Nabet 2014-05-03 20:40:41 UTC
Pb still here on master sources updated yesterday.
Comment 6 QA Administrators 2015-06-08 14:41:57 UTC Comment hidden (obsolete)
Comment 7 Milan Bouchet-Valat 2015-06-08 15:05:11 UTC
Still present in 4.4.3.2.
Comment 8 QA Administrators 2016-09-20 10:01:01 UTC Comment hidden (obsolete)
Comment 9 Milan Bouchet-Valat 2016-09-20 12:49:00 UTC
Still present in 5.2.0.4.
Comment 10 halima 2017-08-22 03:10:11 UTC
Faced same issue on LO Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
Threads CPU : 4; OS : Windows 6.19;

Also, as Milan Bouchet-Valat mentioned, the opening quote is not detected correctly, the first one is a closing quote instead of the opening quote
Comment 11 QA Administrators 2018-12-07 03:47:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug